#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	glu
Version		:	9.0.3
Release		:	17.2.0.rel%{?dist}
summary		:	Mesa OpenGL Utility library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	ftp://ftp.freedesktop.org/pub/mesa/glu
			# http://ftp.osuosl.org/pub/blfs/svn/g/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libtool
BuildRequires	:	gcc-c++
BuildRequires	:	mesa-devel

Provides	:	libGLU
#-----------------------------------------------------------------------------
%description
Direct Rendering Manager development package

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libGLU.so.1*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

Provides	:	libGLU-devel
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/GL/glu*.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--buildtype=release				\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D gl_provider=gl 				\
	-D default_library=shared			\
	_bld

meson	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
